#{extends 'border.html'/}
<div class="container">

#{form @masterdata.GrupRoleCtr.createSubmit(), method:'POST', class:'form-horizontal'}

	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{masterdata.GrupRoleCtr.index()}">&{'peran_pengguna.label'}</a></li>
				<li class="active">&{'tambah.label'} &{'peran.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<!-- Toolbar -->
			<div class="toolbar">
				#{backButton /}
				#{saveButton /}
			</div>
			<!-- End Toolbar -->
		</div>
	</div>

	<div class="row">
		<div class="col-md-12">
			<div class="panel panel-default">
				<div class="panel-body">
                    #{alert /}
					<div class="detail-container">
						<ul class="nav nav-tabs" role="tablist">
							<li role="presentation" #{if active == 1}class="active" #{/if}><a href="#group-role"
								aria-controls="group-role" role="tab" data-toggle="tab">&{'grup_peran.label'}</a></li>
							<li role="presentation" #{if active == 2}class="active" #{/if}><a href="#komoditas"
								aria-controls="komoditas" role="tab" data-toggle="tab">&{'komoditas.label'}</a></li>
							<li role="presentation" #{if active == 3}class="active" #{/if}><a href="#paket" aria-controls="paket"
								role="tab" data-toggle="tab">&{'paket.label'}</a></li>
						</ul>
					
						<div class="tab-content">
							<!-- Form Group Role -->
							#{include 'pl/form-user-role/tab-grouprole.html'/}
							<!-- End Form Group Role -->
					
							<!-- Form Komoditas -->
							#{include 'pl/form-user-role/tab-komoditas.html'/}
							<!-- End Form Komoditas -->
					
							<!-- Form Paket -->
							#{include 'pl/form-user-role/tab-paket.html'/}
							<!-- End Form Paket -->
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	
#{/form}
</div>

#{set 'moreScripts'}
<script type="text/javascript">

    jQuery(document).ready(function($) {

        var paket_ids = [];

        $("#search_packages").click(function () {
            var keyword = $("#keyword").val();
            var komoditas = $("select#komoditas").val();


            $.ajax({
                type:'post',
                url:'@{purchasing.PaketCtr.searchPackages()}',
                data: {
                    keyword: keyword,
                    komoditas: komoditas
                },
                dataType:'json',
                success:function (result) {
                    // console.log(result);
                    if(result.status){
                        var data = result.data;
                        var tr;

                        $("#tblPaket").find("tr:gt(0)").remove();

                        for(var i=0; i<data.length;i++){
                            var disabled = "";

                            var checkArray = paket_ids.indexOf(data[i].id.toString());
                            if(checkArray > -1){
                                disabled = "disabled='disabled'";
                            }

                            tr = $('<tr/>');
                            tr.append("<td>" + data[i].id + "</td>");
                            tr.append("<td>" + data[i].name + "</td>");
                            tr.append("<td>" +
                                    "<button type='button' class='btn btn-primary choose paket-"+data[i].id+"' " +
                                    "paketId='"+data[i].id+"' "+disabled+" paketName='"+data[i].name+"'>Pilih" +
                                    "</button></td>");

                            $("#tblPaket").append(tr);
                        }
                    }

                },
                complete: function () {

                }
            });

        });

        $("body").on("click",".choose", function () {
            var idPaket = $(this).attr("paketId");
            var namaPaket = $(this).attr("paketName");

            //add input
            var input = "<input type='hidden' name='paket_ids' value='"+idPaket+"'>";
            $("#added_package").append(input);

            //add label view
            var row = $('<tr/>');
            row.append("<td>" + idPaket + "</td>");
            row.append("<td>" + namaPaket + "</td>");
            row.append("<td><button type='button' class='remove_package btn btn-danger' paketId='"+idPaket+"'>x</button>" );

            $("#selected_package").append(row);

            paket_ids.push(idPaket);
            $(this).attr('disabled','disabled');

        });

        $("body").on("click",".remove_package", function () {
            var idPaket = $(this).attr("paketId");

            //remove input
            $("#added_package :input[value='"+idPaket+"']").remove();

            //remove label view
            $(this).parent().parent().remove();

            //enable button
            var button = $("#tblPaket").find(".paket-"+idPaket);
            if(button){
                button.prop('disabled',false);
            }

            //remove from array
            var index = paket_ids.indexOf(idPaket);
            if(index > -1){
                paket_ids.splice(index,1);
            }

        });

    });

</script>
#{/set}